layui.define(['form', 'laydate', 'table', 'smstemplateApi' ], function(exports) {
	var form = layui.form;
	var laydate = layui.laydate;
	var table = layui.table;
	var channelUrlApi=layui.channelUrlApi;
	var smstemplateTable = null;
	var view = {
		init: function(){
			this.initTable();
			this.initSearchForm();
			this.initToolBar();
			window.dataReload = function(){
				Lib.doSearchForm($("#searchForm"), smstemplateTable)
			}
		},
		initTable:function() {
			smstemplateTable = table.render({
				elem : '#smstemplateTable',
				height : Lib.getTableHeight(2),
				method : 'post',
				url : Common.ctxPath + '/directed/smstemplate/list.json' //数据接口
				,page : true //开启分页
				,limit : 10,
				cols : [[ //表头
                    {
                        type : 'checkbox'
                    }, {
                        field : 'smstype',
                        title : '短信编码',
                        width : 80,
                    }, {
                        field : 'cpid',
                        title : '合作方ID',
                        width : 140,
                    }, {
                        field : 'cpname',
                        title : '合作方名称',
                        width : 140,
                    }, {
                        field : 'content',
                        title : '短信内容',
                        width : 1000,
                    }
				]],done: function (res, curr, count) {
	               	 layer.closeAll('loading');
	            }
			});
		},

		initSearchForm:function(){
			Lib.initSearchForm( $("#searchForm"), smstemplateTable, form);
		},
		initToolBar:function(){
			toolbar = {
                add : function() { //获取选中数据
                    var url = "/directed/smstemplate/add.do";
                    Common.openDlg(url,"短信管理 > 新增活动");
                },
                edit : function() { //获取选中数目
                    var data = Common.getOneFromTable(table, "smstemplateTable");
                    if(data==null){
                        return ;
                    }

                    var url = "/directed/smstemplate/edit.do?smstype=" + data.smstype;
                    Common.openDlg(url,"短信管理 > 编辑");
                },
                del : function() {
                    var data = Common.getOneFromTable(table, "smstemplateTable");
                    if(data==null){
                        return ;
                    }

                    layer.confirm('确认删除选择的记录吗?', function(index) {
                        $.post({
                            url: Common.ctxPath + '/directed/smstemplate/del.json?smstype=' + data.smstype,
                            dataType: 'JSON',
                            success: function (data) {
                                window.dataReload();
                                if (data.code == "0")  {
                                    Common.info("删除成功，刷新缓存后生效，请刷新缓存！");
                                } else {
                                    Common.info(data.msg);
                                }
                            },
                            error: function (data) {
                                console.log(data)
                            }
                        });

                        layer.close(index);
                    });
                }
            };
			$('.ext-toolbar').on('click', function() {
				var type = $(this).data('type');
				toolbar[type] ? toolbar[type].call(this) : '';
			});
		}
	};

	 exports('index',view);

});
